Uploaded image for project: 'JDK'
  1. JDK
  2. JDK-7197245

Eliminate sun.security.ssl.JsseJce dependency on sun.security.ec

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed
    • Priority: P3
    • Resolution: Duplicate
    • Affects Version/s: 8
    • Fix Version/s: 8
    • Component/s: security-libs
    • Labels:

      Description

      One of JSSE classes has the following dependencies:

      sun.security.ssl.JsseJce -> sun.security.ec.NamedCurve (sunec)
      sun.security.ssl.JsseJce -> sun.security.ec.ECParameters (sunec)

      This dependency creates a number of problems. First is the embedded case where the EC provider may not installed. Second is that it creates a split-package issue for Jigsaw/modularization as a small number of sun.security.ec classes end up in the base module, the rest in the sunec module.

      See also 7194075 where some of the sun.security.ec classes are duplicated in rt.jar, this also needs to be fixed.

        Attachments

          Issue Links

            Activity

              People

              Assignee:
              vinnie Vincent Ryan
              Reporter:
              alanb Alan Bateman
              Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved:
                Imported:
                Indexed: